TransportChannelFactorySupport (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.TransportChannelFactorySupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class TransportChannelFactorySupport

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelFactorySupport

All Implemented Interfaces:
  TransportChannelFactory

Direct Known Subclasses:
  GTransportChannelFactory, HttpTransportChannelFactory, JGroupsTransportChannelFactory, JRMSTransportChannelFactory, JxtaTransportChannelFactory, MulticastTransportChannelFactory, TcpTransportChannelFactory, UdpTransportChannelFactory, VmTransportChannelFactory

public abstract class TransportChannelFactorySupport
extends Object
implements TransportChannelFactory

Useful for implementation inheritence

Version:
  $Revision: 1.1 $

Constructor Summary
`TransportChannelFactorySupport()`

Method Summary
`protected TransportChannel` | `populateProperties(TransportChannel channel, URI uri)` If a query string is present in the URI then set any simple bean properties on the channel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.transport.TransportChannelFactory
`create, create, requiresEmbeddedBroker`

Constructor Detail

### TransportChannelFactorySupport

    public TransportChannelFactorySupport()

Method Detail

### populateProperties

    protected TransportChannel populateProperties(TransportChannel channel,
                                                  URI uri)

  If a query string is present in the URI then set any simple bean properties on the channel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.